package com.bonus.canteen.core.report.api.vo;

import io.swagger.annotations.ApiModelProperty;

public class DeviceOrderDishesSumVO {
   @ApiModelProperty("菜品/商品id")
   private Long goodsDishesId;
   @ApiModelProperty("菜品/商品名称")
   private String goodsDishesName;
   @ApiModelProperty("销售方式 1 按份 2 称重")
   private Integer salesMode;
   @ApiModelProperty("计价单位：100g、份、瓶、公斤...")
   private String unitName;
   @ApiModelProperty("数量/重量（称重按照计量单位换算成份）")
   private Double quantity;
   @ApiModelProperty("销售金额 分")
   private Integer realAmount;

   public Long getGoodsDishesId() {
      return this.goodsDishesId;
   }

   public String getGoodsDishesName() {
      return this.goodsDishesName;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Double getQuantity() {
      return this.quantity;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public void setGoodsDishesId(final Long goodsDishesId) {
      this.goodsDishesId = goodsDishesId;
   }

   public void setGoodsDishesName(final String goodsDishesName) {
      this.goodsDishesName = goodsDishesName;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setQuantity(final Double quantity) {
      this.quantity = quantity;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

}
